# Technical Items

This mod adds a few items that customized weaponry and abilities with technical items.

Suggest more technical items on [TABS Mod Center](https://discord.gg/RUM5pKUe9K)!

# Details

## Custom Clothes

| Items | Function |
| -- | -- |
| AlwaysOpenedEyes | Make eyes keep open. |

## Right Weapon

| Items | Function |
| -- | -- |
| DoublesScaleRightWX | Increase Right weapon scale by **50%** of current X coordinate scale. |
| HalfesScaleRightWX | Decrease Right weapon scale by **50%** of current X coordinate scale. |
| DoublesScaleRightWY | Increase Right weapon scale by **50%** of current Y coordinate scale. |
| HalfesScaleRightWY | Decrease Right weapon scale by **50%** of current Y coordinate scale. |
| DoublesScaleRightWZ | Increase Right weapon scale by **50%** of current Z coordinate scale. |
| HalfesScaleRightWZ | Decrease Right weapon scale by **50%** of current Z coordinate scale. |
| DoublesScaleRightW | Increase Right weapon scale by **50%** of current scale. |
| HalfesScaleRightW | Decrease Right weapon scale by **50%** of current scale. |
| NulifyScaleRightW | Nullify the scale of the weapon by multiplying it with **0**. |
| FlipRightW | Flips Right weapon scale by multiplying weapon scale with **-1**. |
| RemoveRightWParticles | Removes Right weapons particle. |
| RemoveRightWProj | Removes Right weapons projectile. |

## Left Weapon

| Items | Function |
| -- | -- |
| DoublesScaleLeftWX | Increase Left weapon scale by **50%** of current X coordinate scale. |
| HalfesScaleLeftWX | Decrease Left weapon scale by **50%** of current X coordinate scale. |
| DoublesScaleLeftWY | Increase Left weapon scale by **50%** of current Y coordinate scale. |
| HalfesScaleLeftWY | Decrease Left weapon scale by **50%** of current Y coordinate scale. |
| DoublesScaleLeftWZ | Increase Left weapon scale by **50%** of current Z coordinate scale. |
| HalfesScaleLeftWZ | Decrease Left weapon scale by **50%** of current Z coordinate scale. |
| DoublesScaleLeftW | Increase Left weapon scale by **50%** of current scale. |
| HalfesScaleLeftW | Decrease Left weapon scale by **50%** of current scale. |
| NulifyScaleLeftW | Nullify the scale of the weapon by multiplying it with **0**. |
| FlipLeftW | Flips Left weapon scale by multiplying weapon scale with **-1**. |
| RemoveLeftWParticles | Removes Left weapons particle. |
| RemoveLeftWProj | Removes Left weapons projectile. |

## Technical Ability

| Items | Function |
| -- | -- |
| MeleeAddBlink | Make every melee weapons currently had by the units to have blink teleportation. |
| WeaponSwapWhenBelowHalf | Make the unit able to swap the current right weapon to the left weapon when the current health is below **50%** of max health. |
| WeaponSwapWhenTargetDistance | Make the unit able to swap the current right weapon to the left weapon when the target is close. |
| AlwaysTansferHP | Make all Unit Spawning component transfers current unit health to the unit spawned. (also affects transformation) |
| NeverShowHealthBar | Make unit did not show the health bar at all. |
| TransformToRiderWhenTargetFarCondition | Make the base unit transform into the Rider unit when the enemy target is close. |
| TransformToRiderWhenTargetCloseCondition | Make the base unit transform into the Rider unit when the enemy target is close. |
| TransformToRider10SecondsCondition | Make the base unit transform into the Rider unit within 10 seconds. |
| TransformToRiderChronoCondition | Make the base unit transform into the Rider unit with *Chronomancer*'s condition. |
| TransformToRiderDarkKingCondition | Make the base unit transform into the Rider unit with the *Dark King*'s condition. |
| TransformToRiderWhenHealthHalfCondition | Make the base unit transform into the Rider unit when health reaches **50%** of max health. |
| TransformToRiderWhenHealthQuarterCondition | Make the base unit transform into the Rider unit when health reaches **25%** of max health. |
| AdaptivePirateQueenThrow | Pirate Queen's projectile ability but based on the projectile unit throws (random chances for each projectile if it has several different projectiles). |
| AdaptiveSenseiBurstThrow | Sensei's projectile ability but based on the projectile unit throws (random chances for each projectile if it has several different projectiles). |

# Usage & Misc Information

*Weapons Customization* can be found on clothes head sections, marked with the gears logo, you could also search for them based on the item's name.

*WeaponSwap* abilities delete your unit's left weapon, storing them as the weapon to swap into when the conditions are met, when it's not and it's already swapped to the left weapon, it will revert to the right weapon.

*TransformToRider* abilities delete your unit's rider, storing them as the unit to transform into when the conditions are met.

*Adaptive* abilities use projectiles from your unit's ranged weapons so you can mix them.

*AlwaysTansferHP* will make any unit transformations to transfer its current HP to the unit it transforms into.

# Credit

This mod is created and managed by **Geezt Jeez**.

# Changelogs

#### (1.0.4)

- Added melee Blink addition ability.
- Added weapon-swapping abilities.

#### (1.0.3)

- All weapon scaling now has its specific XYZ.
- Added an item called *AlwaysTansferHP*.
- Added eye clothing that always opens.
- Added an item called *Remove Healthbar*, which is self-explanatory.

#### (1.0.2)

- Added transformation for when the unit health is below 50% and 25% health condition, and also new Pirate Queen's adaptive ability.
- Improved Sensei's adaptive throw to have better adaptive particle color.

#### (1.0.1)

- Fixed items were not saved properly due to a delay in loading.